Bug 805561 - Review Request: jvnet-parent - Java.net parent POM file
Review Request: jvnet-parent - Java.net parent POM file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
: 796316 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 11:28 EDT by Stanislav Ochotnicky
Modified: 2012-04-11 22:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: jvnet-parent-3-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2012-03-21 11:28:33 EDT
Spec URL: http://sochotni.fedorapeople.org/packages/jvnet-parent.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/jvnet-parent-1-1.fc16.src.rpm

Description: 
Java.net parent POM file used by most Java.net subprojects such as
Glassfish
Comment 1 Juan Hernández 2012-03-21 11:37:21 EDT
I take it.
Comment 2 Stanislav Ochotnicky 2012-03-21 11:46:40 EDT
Updated to latest released missed in the beginning:
Spec URL: http://sochotni.fedorapeople.org/packages/jvnet-parent.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/jvnet-parent-3-1.fc16.src.rpm
Comment 3 Juan Hernández 2012-03-21 11:59:50 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint jvnet-parent-3-1.fc16.src.rpm
jvnet-parent.src: W: spelling-error %description -l en_US subprojects -> sub projects, sub-projects, projects
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Output of rpmlint of the binary package:

$ rpmlint jvnet-parent-3-1.fc18.noarch.rpm
jvnet-parent.noarch: W: spelling-error %description -l en_US subprojects -> sub projects, sub-projects, projects
jvnet-parent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These warnings are acceptable.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3918210

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.

License type: ASL 2.0

[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

MD5SUM this package    : d26dec8572d5f1d1b9911ab5caa2a4b1
MD5SUM upstream package: d26dec8572d5f1d1b9911ab5caa2a4b1

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[-]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[-]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3918210

=== Issues ===
No issues.

================
*** APPROVED ***
================
Comment 4 Alexander Kurtakov 2012-03-21 12:37:45 EDT
*** Bug 796316 has been marked as a duplicate of this bug. ***
Comment 5 Stanislav Ochotnicky 2012-03-21 13:17:22 EDT
Thanks for fast review

New Package SCM Request
=======================
Package Name: jvnet-parent
Short Description: Java.net parent POM file
Owners: sochotni
Branches: f17
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2012-03-21 13:53:00 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-03-22 05:24:37 EDT
jvnet-parent-3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jvnet-parent-3-1.fc17
Comment 8 Fedora Update System 2012-03-22 20:39:22 EDT
jvnet-parent-3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-04-11 22:32:07 EDT
jvnet-parent-3-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.